name: "Deploy to Netlify"

on:
  push:
    branches:
      - main

jobs:
  deploy:
    name: "Deploy Hugo site to Netlify"
    steps:
      - uses: actions/checkout@v3
        with:
          submodules: true
          fetch-depth: 0
        name: Checkout
      - name: Setup Hugo
        uses: peaceiris/actions-hugo@v2
        with:
          hugo-version: "0.124.1"
          extended: true
          github-token: ${{ secrets.GH_TOKEN }}
      - name: Build
        run: |
          hugo version
          hugo --minify
      - uses: https://github.com/nwtgck/actions-netlify@v2.0
        name: Deploy
        with:
          publish-dir: "./public"
          production-deploy: true
          github-token: ${{ secrets.GH_TOKEN }}
          deploy-message: "Deployed from Gitea Action"
          enable-commit-comment: false
          enable-pull-request-comment: false
          overwrites-pull-request-comment: true
          enable-github-deployment: false
        env:
          NETLIFY_SITE_ID: ${{ secrets.NETLIFY_SITE_ID }}
          NETLIFY_AUTH_TOKEN: ${{ secrets.NETLIFY_AUTH_TOKEN }}
        timeout-minutes: 1
